Imports FredCK
Imports eComm
Partial Class Admin_ProductDetail
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            FCKeditorEnglishI.BasePath = "~/fckeditor/"
            FCKeditorEnglishI.Config("DefaultLanguage") = "en"
            FCKeditorEnglishI.Visible = True
            FCKeditorEnglishE.BasePath = "~/fckeditor/"
            FCKeditorEnglishE.Config("DefaultLanguage") = "en"
            FCKeditorEnglishE.Visible = True
        End If


        Dim mID As String = Me.Request.QueryString("ID")
        If mID Is Nothing Then
            Me.Response.Redirect("~/Admin/FindAddProduct.aspx")
        Else
            Me.Session("ID") = mID
        End If
        If mID = "0" Then
            Me.panInsert.Visible = True
            Me.panEdit.Visible = False
            Me.panView.Visible = False
            Me.ddlCategoryI.DataBind()
            Me.tbProductNameI.Focus()
        Else
            Me.hlAddAttribute.NavigateUrl &= "?ID=" & mID
            Me.panInsert.Visible = False
            Me.panEdit.Visible = False
            Me.panView.Visible = True
            ' Retreive new product and change to view mode
            Dim mItems As New System.Collections.Generic.List(Of eComm.Product)
            mItems = ProductAdapter.SelectOneItems(mID)
            Me.panInsert.Visible = False
            Me.panView.Visible = True
            Me.lbProductNameV.Text = mItems(0).ProductName
            Me.lbSKUV.Text = mItems(0).SKU
            Me.lbCategory.Text = mItems(0).CategoryName & " - " & mItems(0).CategoryID
            Me.lbRichWordURL.Text = mItems(0).RichWordURL
            Me.litDescriptionV.Text = mItems(0).Description
            Me.litImage.Text = "<img src='../" & Trim(mItems(0).ImageURL) & "' width='80' />"
            Me.cbInStockV.Checked = mItems(0).InStock
            Me.cbIsEnabledV.Checked = mItems(0).IsEnabled
            Me.cbShowRetailV.Checked = mItems(0).ShowRetail
            Me.lbOurPriceV.Text = Format(mItems(0).OurPrice, "##,##0.00")
            Me.lbRetailPriceV.Text = Format(mItems(0).RetailPrice, "##,##0.00")
            Me.lbWeightV.Text = mItems(0).Weight
            Me.lbLenghtV.Text = mItems(0).Length
            Me.lbHeightV.Text = mItems(0).Height
            Me.lbWidthV.Text = mItems(0).Width
            Me.tbButtonCodeV.Text = mItems(0).ButtonCode
        End If
    End Sub

    Protected Sub bnSaveProduct_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles bnSaveProduct.Click
        If Me.IsValid Then
            Dim mItem As New eComm.Product
            mItem.ProductName = Me.tbProductNameI.Text
            mItem.SKU = Me.tbSKUI.Text
            mItem.CategoryID = Me.ddlCategoryI.SelectedValue
            mItem.InStock = Me.cbInStockI.Checked
            mItem.RichWordURL = Me.tbRichWordURLI.Text
            mItem.Description = Me.FCKeditorEnglishI.Value
            If Not Me.tbImageURLI.Text = "" Then
                mItem.ImageURL = Me.tbImageURLI.Text
            End If
            If Not Me.tbOurPriceI.Text = "" Then
                mItem.OurPrice = Me.tbOurPriceI.Text
            Else
                mItem.OurPrice = 0
            End If
            If Not Me.tbRetailPriceI.Text = "" Then
                mItem.RetailPrice = Me.tbRetailPriceI.Text
            Else
                mItem.RetailPrice = 0
            End If
            mItem.ShowRetail = Me.cbShowRetailI.Checked
            If Not Me.tbWeightI.Text = "" Then
                mItem.Weight = Me.tbWeightI.Text
            Else
                mItem.Weight = 0
            End If
            If Not Me.tbLengthI.Text = "" Then
                mItem.Length = Me.tbLengthI.Text
            Else
                mItem.Length = 0
            End If
            If Not Me.tbHeightI.Text = "" Then
                mItem.Height = Me.tbHeightI.Text
            Else
                mItem.Height = 0
            End If
            If Not Me.tbWidthI.Text = "" Then
                mItem.Width = Me.tbWidthI.Text
            Else
                mItem.Width = 0
            End If
            mItem.IsEnabled = Me.cbIsEnabledI.Checked
            mItem.ButtonCode = Me.tbButtonCodeI.Text
            Dim mKey As Integer = ProductAdapter.InsertItem(mItem)
            Me.Response.Redirect("~/Admin/ProductDetail.aspx?ID=" & mKey)
        End If
    End Sub

    Protected Sub bnAdd_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles bnAdd.Click
        Me.Response.Redirect("~/Admin/ProductDetail.aspx?ID=0")
    End Sub

    Protected Sub bnDeleteAProduct_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles bnDeleteAProduct.Click
        Dim Item As New eComm.Product
        Item.ProductID = Me.Session("ID")
        ProductAdapter.DeleteItem(Item)
        Me.Response.Redirect("~/Admin/FindAddProducts.aspx")
    End Sub

    Protected Sub bnEdit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles bnEdit.Click
        ' Retreive new product and change to Edit mode
        Dim mItems As New System.Collections.Generic.List(Of eComm.Product)
        mItems = ProductAdapter.SelectOneItems(Me.Session("ID"))
        Me.panInsert.Visible = False
        Me.panView.Visible = False
        Me.panEdit.Visible = True
        Me.lbProductIDE.Text = mItems(0).ProductID
        Me.ddlCategoryE.DataBind()
        Me.tbProductNameE.Text = mItems(0).ProductName
        Me.tbSKUE.Text = mItems(0).SKU
        Me.ddlCategoryE.SelectedValue = mItems(0).CategoryID
        Me.tbRichWordURLE.Text = mItems(0).RichWordURL
        Me.FCKeditorEnglishE.Value = mItems(0).Description
        Me.tbImageURLE.Text = mItems(0).ImageURL
        Me.cbInStockE.Checked = mItems(0).InStock
        Me.cbIsEnabledE.Checked = mItems(0).IsEnabled
        Me.cbShowRetailE.Checked = mItems(0).ShowRetail
        Me.tbOurPriceE.Text = Format(mItems(0).OurPrice, "##,##0.00")
        Me.tbRetailPriceE.Text = Format(mItems(0).RetailPrice, "##,##0.00")
        Me.tbWeightE.Text = mItems(0).Weight
        Me.tbLengthE.Text = mItems(0).Length
        Me.tbHeightE.Text = mItems(0).Height
        Me.tbWidthE.Text = mItems(0).Width
        Me.tbButtonCodeE.Text = mItems(0).ButtonCode
    End Sub

    Protected Sub bnCancel_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles bnCancel.Click
        Me.Response.Redirect("~/Admin/FindAddProducts.aspx")
    End Sub

    Protected Sub bnSaveEdits_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles bnSaveEdits.Click
        If Me.IsValid Then
            'me.FCKeditorEnglishE.
            Dim mItem As New eComm.Product
            mItem.ProductID = Me.Session("ID")
            mItem.ProductName = Me.tbProductNameE.Text
            mItem.SKU = Me.tbSKUE.Text
            mItem.CategoryID = Me.ddlCategoryE.SelectedValue
            mItem.InStock = Me.cbInStockE.Checked
            mItem.RichWordURL = Me.tbRichWordURLE.Text
            mItem.Description = Me.FCKeditorEnglishE.Value
            If Not Me.tbImageURLE.Text = "" Then
                mItem.ImageURL = Me.tbImageURLE.Text
            End If
            If Not Me.tbOurPriceE.Text = "" Then
                mItem.OurPrice = Me.tbOurPriceE.Text
            Else
                mItem.OurPrice = 0
            End If
            If Not Me.tbRetailPriceE.Text = "" Then
                mItem.RetailPrice = Me.tbRetailPriceE.Text
            Else
                mItem.RetailPrice = 0
            End If
            mItem.ShowRetail = Me.cbShowRetailE.Checked
            If Not Me.tbWeightE.Text = "" Then
                mItem.Weight = Me.tbWeightE.Text
            Else
                mItem.Weight = 0
            End If
            If Not Me.tbLengthE.Text = "" Then
                mItem.Length = Me.tbLengthE.Text
            Else
                mItem.Length = 0
            End If
            If Not Me.tbHeightE.Text = "" Then
                mItem.Height = Me.tbHeightE.Text
            Else
                mItem.Height = 0
            End If
            If Not Me.tbWidthE.Text = "" Then
                mItem.Width = Me.tbWidthE.Text
            Else
                mItem.Width = 0
            End If
            mItem.IsEnabled = Me.cbIsEnabledE.Checked
            mItem.ButtonCode = Me.tbButtonCodeE.Text
            ProductAdapter.UpdateItem(mItem)
            Me.Response.Redirect("~/Admin/ProductDetail.aspx?ID=" & Me.Session("ID"))
        End If
    End Sub

    Protected Sub bnCancelEdits_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles bnCancelEdits.Click
        Me.Response.Redirect("~/Admin/ProductDetail.aspx?ID=" & Me.Session("ID"))
    End Sub
End Class
